Diagrams.Backend.CmdLine

# Options

## Standard options

data DiagramOpts

diagramOpts

width

height

output

## Multi-diagram options

data DiagramMultiOpts

diagramMultiOpts

selection

list

## Animation options

data DiagramAnimOpts

diagramAnimOpts

fpu

## Loop options

data DiagramLoopOpts

diagramLoopOpts

loop

src

interval

# Parsing

class Parseable a

readHexColor

# Command-line programs (`Mainable`)

## Arguments, rendering, and entry point

class Mainable d

## General currying

class ToResult d

## helper functions for implementing `mainRender`

defaultAnimMainRender

defaultMultiMainRender

defaultLoopRender